<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.demo.app.ncov2020.map.MapViewModel" />
        <import type="android.view.View"/>

    </data>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:animateLayoutChanges="true"
        tools:context=".MainActivity">

        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:visibility="@{viewModel.mapStateLiveData.loading ? View.GONE : View.VISIBLE}">


            <TextView
                android:id="@+id/dateView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_margin="3dp"
                android:fontFamily="sans-serif"
                android:gravity="center_vertical"
                android:paddingStart="20dp"
                android:text="@{viewModel.mapStateLiveData.currDate}"
                android:textColor="@color/colorWhite"
                android:textSize="16sp"
                tools:ignore="RtlSymmetry" />

            <TextView
                android:id="@+id/pointsView"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center_vertical"
                android:layout_margin="3dp"
                android:fontFamily="sans-serif"
                android:gravity="center_vertical"
                android:paddingEnd="20dp"
                android:text="@{viewModel.mapStateLiveData.upgradePoints.toString()}"
                android:textColor="@color/colorWhite"
                android:textSize="16sp"
                tools:ignore="RtlSymmetry" />

            <Button
                android:id="@+id/button13"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:onClick="@{viewModel::onMenuClicked}"
                android:text="Menu" />
        </LinearLayout>


        <com.mapbox.mapboxsdk.maps.MapView
            android:id="@+id/mapView"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@+id/linearLayout2"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout"
            tools:layout_editor_absoluteX="0dp" />

        <ProgressBar
            android:id="@+id/progress_bar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:paddingLeft="25dp"
            android:paddingRight="25dp"
            android:progress="@{viewModel.mapStateLiveData.loadPercentage}"
            android:visibility="@{viewModel.mapStateLiveData.loading ? View.VISIBLE : View.GONE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/linearLayout2"
            android:layout_width="0dp"
            android:layout_height="53dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent">

            <ImageButton
                android:id="@+id/imageBtnInfectSmall"
                android:layout_width="149dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:scaleType="centerInside"
                android:onClick="@{viewModel::onInfectSmall}"
                app:srcCompat="@drawable/infectsmall" />

            <ImageButton
                android:id="@+id/imageBtnInfectMid"
                android:layout_width="291dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:scaleType="centerInside"
                android:onClick="@{viewModel::onInfectMid}"
                app:srcCompat="@drawable/infectmid" />

            <ImageButton
                android:id="@+id/imageButton"
                android:layout_width="80dp"
                android:layout_height="match_parent"
                android:scaleType="centerInside"
                android:onClick="@{viewModel::onTravelGround}"
                app:srcCompat="@drawable/travel" />

            <ImageButton
                android:id="@+id/imageButton2"
                android:layout_width="87dp"
                android:layout_height="match_parent"
                android:scaleType="centerInside"
                android:onClick="@{viewModel::onKill}"
                app:srcCompat="@drawable/death" />

            <ImageButton
                android:id="@+id/imageButton5"
                android:layout_width="190dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:scaleType="centerInside"
                android:onClick="@{viewModel::onBusinessRebellion}"
                app:srcCompat="@drawable/business_rebellion" />

        </LinearLayout>

        <androidx.cardview.widget.CardView
            android:id="@+id/messageCard"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="32dp"
            android:layout_marginEnd="32dp"
            app:cardBackgroundColor="@color/colorRed"
            app:cardCornerRadius="8dp"
            app:cardUseCompatPadding="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/linearLayout"
            android:visibility="@{viewModel.mapStateLiveData.showMessage ? View.VISIBLE : View.GONE}">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/contentView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textSize="20sp"
                    android:padding="10dp"
                    android:text="@{viewModel.mapStateLiveData.messageText}"
                    android:textColor="@color/colorWhite" />

                <Button
                    android:id="@+id/dismissMessage"
                    style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Dismiss"
                    android:textColor="@color/colorWhite"
                    android:textSize="20sp"
                    android:onClick="@{viewModel::dismissMessage}"
                    android:visibility="@{viewModel.mapStateLiveData.selectStrategyMode ? View.GONE : View.VISIBLE}" />

                <Button
                    android:id="@+id/cancelAction"
                    style="@style/Widget.MaterialComponents.Button.OutlinedButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Cancel"
                    android:textColor="@color/colorWhite"
                    android:textSize="20sp"
                    android:onClick="@{viewModel::dismissAction}"
                    android:visibility="@{viewModel.mapStateLiveData.selectStrategyMode ? View.VISIBLE : View.GONE}" />
            </LinearLayout>
        </androidx.cardview.widget.CardView>


    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>